## rocdbgapi 5.7.1

=== CMakeLists.txt ===
## Copyright (c) 2019-2023 Advanced Micro Devices, Inc.
##
## Permission is hereby granted, free of charge, to any person obtaining a copy
## of this software and associated documentation files (the "Software"), to
## deal in the Software without restriction, including without limitation the
## rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
## sell copies of the Software, and to permit persons to whom the Software is
## furnished to do so, subject to the following conditions:
##
## The above copyright notice and this permission notice shall be included in
## all copies or substantial portions of the Software.
##
## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
## IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
## FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
## AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
## LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
## FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
## IN THE SOFTWARE.

cmake_minimum_required(VERSION 3.8)

project(amd-dbgapi VERSION 0.70.1)

include(CheckIncludeFile)
include(GNUInstallDirs)
# Convert the project's name to uppercase and replace '-' with '_'.
string(TOUPPER "${PROJECT_NAME}" AMD_DBGAPI_NAME)
string(REPLACE "-" "_" AMD_DBGAPI_NAME ${AMD_DBGAPI_NAME})

string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)

# Add an option to enable assertions even in non-debug builds.
if(NOT uppercase_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
  option(ENABLE_ASSERTIONS "Enable assertions" OFF)
else()
  option(ENABLE_ASSERTIONS "Enable assertions" ON)
endif()

if(ENABLE_ASSERTIONS)
  if(NOT uppercase_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
    # Add -UNDEBUG to the CFLAGS and CXXFLAGS
    add_compile_options(
      $<$<OR:$<COMPILE_LANGUAGE:C>,$<COMPILE_LANGUAGE:CXX>>:-UNDEBUG>)
    # Remove -DNDEBUG from the CFLAGS and CXXFLAGS
    foreach (flags
             CMAKE_C_FLAGS_RELEASE
             CMAKE_C_FLAGS_RELWITHDEBINFO
             CMAKE_C_FLAGS_MINSIZEREL
             CMAKE_CXX_FLAGS_RELEASE
             CMAKE_CXX_FLAGS_RELWITHDEBINFO
             CMAKE_CXX_FLAGS_MINSIZEREL)
      string (REGEX REPLACE "(^| )-D *NDEBUG($| )" " " "${flags}" "${${flags}}")
     endforeach()
  endif()
else()
  if(uppercase_CMAKE_BUILD_TYPE STREQUAL "DEBUG")
    add_compile_definitions(NDEBUG)
  endif()
endif()

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/include/amd-dbgapi.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/include/amd-dbgapi/amd-dbgapi.h @ONLY)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/src/exportmap.in
  ${CMAKE_CURRENT_BINARY_DIR}/src/exportmap @ONLY)

if(NOT CPACK_PACKAGING_INSTALL_PREFIX)
  set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
endif()

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/amd-dbgapi.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/share/pkgconfig/amd-dbgapi.pc @ONLY)

file(GLOB SOURCES "src/*.cpp")
add_library(amd-dbgapi SHARED ${SOURCES})

set_target_properties(amd-dbgapi PROPERTIES
  CXX_STANDARD 17
  CXX_STANDARD_REQUIRED ON
  CXX_EXTENSIONS ON
  CXX_VISIBILITY_PRESET hidden
  OUTPUT_NAME "rocm-dbgapi"
  LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib
  DEFINE_SYMBOL "AMD_DBGAPI_EXPORTS"
  VERSION ${PROJECT_VERSION}
  SOVERSION ${PROJECT_VERSION_MAJOR})

target_compile_options(amd-dbgapi PRIVATE
  -fno-rtti -Werror -Wall -Wextra -Wshadow -Wno-attributes) #-pedantic)

target_compile_definitions(amd-dbgapi
  PRIVATE __STDC_LIMIT_MACROS __STDC_CONSTANT_MACROS __STDC_FORMAT_MACROS)

check_include_file(backtrace.h BACKTRACE_H)
if(BACKTRACE_H)
  target_compile_definitions(amd-dbgapi PRIVATE HAVE_BACKTRACE_H)
  find_library(BACKTRACE_LIB "backtrace" ${CMAKE_C_IMPLICIT_LINK_DIRECTORIES})
endif()

if(BACKTRACE_LIB)
  target_compile_definitions(amd-dbgapi PRIVATE ENABLE_BACKTRACE)
  target_link_libraries(amd-dbgapi PRIVATE ${BACKTRACE_LIB})
endif()

option(API_TRACING "Enable API tracing" ON)
if(API_TRACING)
  target_compile_definitions(amd-dbgapi PRIVATE WITH_API_TRACING)
endif()

find_file(
  PCI_IDS_PATH
  NAMES
    pci.ids
  PATHS
    /usr/share/misc
    /usr/share/hwdata
  NO_DEFAULT_PATH
)
# CMake-3.18 adds the REQUIRED parameter to find_file, but we cannot rely on it
# yet.  Check manually the file is found until then.
if("${PCI_IDS_PATH}" STREQUAL "PCI_IDS_PATH-NOTFOUND")
  message(FATAL_ERROR "Cannot found the pci.ids file. Use PCI_IDS_PATH to specify known path.")
endif()
message(STATUS "Using pci.ids file: ${PCI_IDS_PATH}")
set_source_files_properties(
  src/os_driver.cpp
  PROPERTIES
    COMPILE_DEFINITIONS "PCI_IDS_PATH=\"${PCI_IDS_PATH}\""
)

find_package(amd_comgr REQUIRED CONFIG
  PATHS
    /opt/rocm/
  PATH_SUFFIXES
    lib/cmake/amd_comgr
)
MESSAGE(STATUS "Code Object Manager found at ${amd_comgr_DIR}.")

if(DEFINED ENV{ROCM_BUILD_ID})
  # ROCM_BUILD_ID is set by the ROCm-CI build environment.
  set(build_info $ENV{ROCM_BUILD_ID})
else()
  string(TIMESTAMP NOW "%Y%m%dT%H%M%S")
  set(build_info developer-build-${NOW})

  if(DEFINED ENV{USER})
    set(build_info ${build_info}-$ENV{USER})
  endif()

  find_package(Git)
  if(GIT_FOUND)
    execute_process(
      COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
      WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
      OUTPUT_VARIABLE build_revision
      ERROR_QUIET
      OUTPUT_STRIP_TRAILING_WHITESPACE
   )
  else()
    message(STATUS "GIT not found")
  endif()

  if(DEFINED build_revision)
    set(build_info ${build_info}-git-${build_revision})
  endif()
endif()

target_link_libraries(amd-dbgapi PRIVATE amd_comgr ${CMAKE_DL_LIBS})

set_source_files_properties(src/versioning.cpp src/initialization.cpp PROPERTIES
  COMPILE_DEFINITIONS "AMD_DBGAPI_VERSION_PATCH=${PROJECT_VERSION_PATCH};AMD_DBGAPI_BUILD_INFO=\"${PROJECT_VERSION}-${build_info}\"")

# We are using the HSA runtime headers, but not the runtime library. Get the HSA runtime
# include directories from the hsa-runtime64::hsa-runtime64 interface.
find_package(hsa-runtime64 REQUIRED CONFIG PATHS "/opt/rocm")
get_property(HSA_RUNTIME_INCLUDE_DIRECTORIES TARGET hsa-runtime64::hsa-runtime64 PROPERTY INTERFACE_INCLUDE_DIRECTORIES)

target_include_directories(amd-dbgapi
  PRIVATE
    ${HSA_RUNTIME_INCLUDE_DIRECTORIES}
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include/amd-dbgapi>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(amd-dbgapi
  PRIVATE -Wl,--version-script=${CMAKE_CURRENT_BINARY_DIR}/src/exportmap -Wl,--no-undefined)

set(AMD_DBGAPI_CONFIG_NAME amd-dbgapi-config.cmake)
set(AMD_DBGAPI_TARGETS_NAME amd-dbgapi-targets.cmake)
set(AMD_DBGAPI_PACKAGE_PREFIX ${CMAKE_INSTALL_LIBDIR}/cmake/amd-dbgapi)

# Generate the build-tree package.
set(AMD_DBGAPI_PREFIX_CODE)
set(AMD_DBGAPI_TARGETS_PATH
  "${CMAKE_CURRENT_BINARY_DIR}/${AMD_DBGAPI_PACKAGE_PREFIX}/${AMD_DBGAPI_TARGETS_NAME}")
export(TARGETS amd-dbgapi
  FILE "${AMD_DBGAPI_PACKAGE_PREFIX}/${AMD_DBGAPI_TARGETS_NAME}")
configure_file("cmake/${AMD_DBGAPI_CONFIG_NAME}.in"
  "${AMD_DBGAPI_PACKAGE_PREFIX}/${AMD_DBGAPI_CONFIG_NAME}"
  @ONLY)

install(TARGETS amd-dbgapi
  EXPORT amd-dbgapi-export
  DESTINATION ${CMAKE_INSTALL_LIBDIR}
  COMPONENT dev)

install(TARGETS amd-dbgapi
  DESTINATION ${CMAKE_INSTALL_LIBDIR}
  COMPONENT asan)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/include/amd-dbgapi/amd-dbgapi.h"
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/amd-dbgapi
  COMPONENT dev)

install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/share/pkgconfig/amd-dbgapi.pc"
  DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig
  COMPONENT dev)

install(FILES
  "LICENSE.txt"
  DESTINATION ${CMAKE_INSTALL_DOCDIR}
  COMPONENT dev)

install(FILES
  "LICENSE.txt"
  DESTINATION ${CMAKE_INSTALL_DOCDIR}-asan
  COMPONENT asan)

# Generate the install-tree package.
set(AMD_DBGAPI_PREFIX_CODE "
# Derive absolute install prefix from config file path.
get_filename_component(AMD_DBGAPI_PREFIX \"\${CMAKE_CURRENT_LIST_FILE}\" PATH)")
string(REGEX REPLACE "/" ";" count "${AMD_DBGAPI_PACKAGE_PREFIX}")
foreach(p ${count})
  set(AMD_DBGAPI_PREFIX_CODE "${AMD_DBGAPI_PREFIX_CODE}
get_filename_component(AMD_DBGAPI_PREFIX \"\${AMD_DBGAPI_PREFIX}\" PATH)")
endforeach()
set(AMD_DBGAPI_TARGETS_PATH "\${AMD_DBGAPI_PREFIX}/${AMD_DBGAPI_PACKAGE_PREFIX}/${AMD_DBGAPI_TARGETS_NAME}")
configure_file("cmake/${AMD_DBGAPI_CONFIG_NAME}.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${AMD_DBGAPI_CONFIG_NAME}.install"
  @ONLY)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${AMD_DBGAPI_CONFIG_NAME}.install"
  DESTINATION "${AMD_DBGAPI_PACKAGE_PREFIX}"
  RENAME "${AMD_DBGAPI_CONFIG_NAME}"
  COMPONENT dev)
install(EXPORT amd-dbgapi-export
  DESTINATION "${AMD_DBGAPI_PACKAGE_PREFIX}"
  FILE "${AMD_DBGAPI_TARGETS_NAME}"
  COMPONENT dev)

# Add packaging directives for amd-dbgapi
set(CPACK_PACKAGE_NAME rocm-dbgapi)
set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_CONTACT "ROCm Debugger Support <rocm-gdb.support@amd.com>")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Library to provide AMD GPU debugger API")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.txt")

if(DEFINED ENV{ROCM_LIBPATCH_VERSION})
  set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION}.$ENV{ROCM_LIBPATCH_VERSION}")
  message("Using CPACK_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION}")
endif()

## Enable Component Mode and set component specific flags
set(CPACK_DEB_COMPONENT_INSTALL ON)
set(CPACK_RPM_COMPONENT_INSTALL ON)
set(CPACK_DEBIAN_DEV_PACKAGE_NAME "rocm-dbgapi")
set(CPACK_RPM_DEV_PACKAGE_NAME "rocm-dbgapi")
set(CPACK_RPM_DEV_PACKAGE_REQUIRES "rocm-core, comgr >= 1.2.0, hwdata")
set(CPACK_DEBIAN_DEV_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, pci.ids")
# Debian package specific variable for ASAN
set(CPACK_DEBIAN_ASAN_PACKAGE_NAME "rocm-dbgapi-asan")
set(CPACK_DEBIAN_ASAN_PACKAGE_DEPENDS "comgr-asan(>=1.2.0), rocm-core-asan, pci.ids")
# RPM package specific variable for ASAN
set(CPACK_RPM_ASAN_PACKAGE_NAME "rocm-dbgapi-asan" )
set(CPACK_RPM_ASAN_PACKAGE_REQUIRES "rocm-core-asan, comgr-asan >= 1.2.0, hwdata")

# Debian package specific variables
if(DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
  set(CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
else()
  set(CPACK_DEBIAN_PACKAGE_RELEASE "local")
endif()
message("Using CPACK_DEBIAN_PACKAGE_RELEASE ${CPACK_DEBIAN_PACKAGE_RELEASE}")
set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")

set(CPACK_DEBIAN_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, pci.ids")

if(DEFINED ENV{CPACK_RPM_PACKAGE_RELEASE})
  set(CPACK_RPM_PACKAGE_RELEASE $ENV{CPACK_RPM_PACKAGE_RELEASE})
else()
  set(CPACK_RPM_PACKAGE_RELEASE "local")
endif()
set(CPACK_RPM_PACKAGE_REQUIRES "rocm-core")
message("Using CPACK_RPM_PACKAGE_RELEASE ${CPACK_RPM_PACKAGE_RELEASE}")

## 'dist' breaks manual builds on debian systems due to empty Provides
execute_process(COMMAND rpm --eval %{?dist}
                 RESULT_VARIABLE PROC_RESULT
                 OUTPUT_VARIABLE EVAL_RESULT
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
if(PROC_RESULT EQUAL "0" AND NOT EVAL_RESULT STREQUAL "")
  string(APPEND CPACK_RPM_PACKAGE_RELEASE "%{?dist}")
endif()
set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")

set(CPACK_RPM_PACKAGE_REQUIRES "comgr >= 1.2.0, hwdata")

# Debian package specific variables
#set(CPACK_DEBIAN_PACKAGE_HOMEPAGE
#  "https://github.com/RadeonOpenCompute/")

# RPM package specific variables
if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
  set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
    "${CPACK_PACKAGING_INSTALL_PREFIX}")
endif()

# Remove dependency on rocm-core if -DROCM_DEP_ROCMCORE=ON not given to cmake
if(NOT ROCM_DEP_ROCMCORE)

=== debian/changelog ===
rocdbgapi (5.7.1-2) unstable; urgency=medium

  * Team upload.

  * Changed int types used to build on ppc64el (Closes: #1081303).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Sep 2024 14:41:56 +0200

rocdbgapi (5.7.1-1) unstable; urgency=medium

  * Migrate to unstable.

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 22 Apr 2024 01:54:23 -0600

rocdbgapi (5.7.1-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1040516)

 -- Cordell Bloor <cgmb@slerp.xyz>  Mon, 19 Feb 2024 17:53:03 -0700

=== debian/control ===
Source: rocdbgapi
Section: devel
Homepage: https://github.com/ROCm/ROCdbgapi
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocdbgapi.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocdbgapi
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Cordell Bloor <cgmb@slerp.xyz>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               libamd-comgr-dev (>= 5.7.1~),
               libhsa-runtime-dev,
               pci.ids
Rules-Requires-Root: no

Package: librocm-dbgapi0
Section: libs
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: AMD GPU debugger support - library
 The ROCdbpgapi library provides debugging routines to inspect and
 control programs running on AMD GPUs. This library is used by
 debuggers to receive notifications of events, query the GPU state,
 and step through execution. However, operations such as symbolic
 mappings, code object decoding and stack unwinding are outside the
 scope of this library.
 .
 This package provides the ROCdbgapi library.

Package: amd-dbgapi-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends: librocm-dbgapi0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
Description: AMD GPU debugger support - headers
 The ROCdbpgapi library provides debugging routines to inspect and
 control programs running on AMD GPUs. This library is used by
 debuggers to receive notifications of events, query the GPU state,
 and step through execution. However, operations such as symbolic
 mappings, code object decoding and stack unwinding are outside the
 scope of this library.
 .
 This package provides the ROCdbgapi development headers.

## rocdbgapi 6.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (c) 2019-2023 Advanced Micro Devices, Inc.
+## Copyright (c) 2019-2024 Advanced Micro Devices, Inc.
 ##
 ## Permission is hereby granted, free of charge, to any person obtaining a copy
 ## of this software and associated documentation files (the "Software"), to
@@ -20,10 +20,12 @@
 
 cmake_minimum_required(VERSION 3.8)
 
-project(amd-dbgapi VERSION 0.70.1)
+project(amd-dbgapi VERSION 0.77.2)
 
 include(CheckIncludeFile)
 include(GNUInstallDirs)
+include(CheckCXXSourceCompiles)
+
 # Convert the project's name to uppercase and replace '-' with '_'.
 string(TOUPPER "${PROJECT_NAME}" AMD_DBGAPI_NAME)
 string(REPLACE "-" "_" AMD_DBGAPI_NAME ${AMD_DBGAPI_NAME})
@@ -111,26 +113,34 @@
   target_compile_definitions(amd-dbgapi PRIVATE WITH_API_TRACING)
 endif()
 
-find_file(
-  PCI_IDS_PATH
-  NAMES
-    pci.ids
-  PATHS
-    /usr/share/misc
-    /usr/share/hwdata
-  NO_DEFAULT_PATH
-)
-# CMake-3.18 adds the REQUIRED parameter to find_file, but we cannot rely on it
-# yet.  Check manually the file is found until then.
-if("${PCI_IDS_PATH}" STREQUAL "PCI_IDS_PATH-NOTFOUND")
-  message(FATAL_ERROR "Cannot found the pci.ids file. Use PCI_IDS_PATH to specify known path.")
-endif()
-message(STATUS "Using pci.ids file: ${PCI_IDS_PATH}")
-set_source_files_properties(
-  src/os_driver.cpp
-  PROPERTIES
-    COMPILE_DEFINITIONS "PCI_IDS_PATH=\"${PCI_IDS_PATH}\""
-)
+if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  set(CMAKE_REQUIRED_FLAGS_BKP "${CMAKE_REQUIRED_FLAGS}")
+  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -std=c++17")
+  # For some platforms (PPC64), linux/types.h uses L64, but this code assumes
+  # LL64 (i.e.  __u64 should be a long long unsigned, not long unsigned).
+  check_cxx_source_compiles(
+    "#include <linux/types.h>
+     #include <type_traits>
+     int main () { static_assert (std::is_same_v<long long unsigned, __u64>); return 0; }"
+     LINUX_TYPES_HAS_LL64)
+
+  if(NOT LINUX_TYPES_HAS_LL64)
+    # Check if using __SANE_USERSPACE_TYPES__ gives us LL64
+    check_cxx_source_compiles(
+      "#define __SANE_USERSPACE_TYPES__
+       #include <linux/types.h>
+       #include <type_traits>
+       int main () { static_assert (std::is_same_v<long long unsigned, __u64>); return 0; }"
+       LINUX_TYPES_LL64_NEEDS_SANE_USERSPACE_TYPES)
+    if(LINUX_TYPES_LL64_NEEDS_SANE_USERSPACE_TYPES)
+      target_compile_definitions(amd-dbgapi PRIVATE "__SANE_USERSPACE_TYPES__")
+    else()
+      message(FATAL_ERROR
+              "A LL64 configuration is required for the Linux backend")
+    endif()
+  endif()
+  set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS_BKP}")
+endif()
 
 find_package(amd_comgr REQUIRED CONFIG
   PATHS
@@ -276,14 +286,14 @@
 set(CPACK_RPM_COMPONENT_INSTALL ON)
 set(CPACK_DEBIAN_DEV_PACKAGE_NAME "rocm-dbgapi")
 set(CPACK_RPM_DEV_PACKAGE_NAME "rocm-dbgapi")
-set(CPACK_RPM_DEV_PACKAGE_REQUIRES "rocm-core, comgr >= 1.2.0, hwdata")
-set(CPACK_DEBIAN_DEV_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, pci.ids")
+set(CPACK_RPM_DEV_PACKAGE_REQUIRES "rocm-core, comgr >= 1.2.0")
+set(CPACK_DEBIAN_DEV_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core")
 # Debian package specific variable for ASAN
 set(CPACK_DEBIAN_ASAN_PACKAGE_NAME "rocm-dbgapi-asan")
-set(CPACK_DEBIAN_ASAN_PACKAGE_DEPENDS "comgr-asan(>=1.2.0), rocm-core-asan, pci.ids")
+set(CPACK_DEBIAN_ASAN_PACKAGE_DEPENDS "comgr-asan(>=1.2.0), rocm-core-asan, libdrm-amdgpu-common | libdrm-common")
 # RPM package specific variable for ASAN
 set(CPACK_RPM_ASAN_PACKAGE_NAME "rocm-dbgapi-asan" )
-set(CPACK_RPM_ASAN_PACKAGE_REQUIRES "rocm-core-asan, comgr-asan >= 1.2.0, hwdata")
+set(CPACK_RPM_ASAN_PACKAGE_REQUIRES "rocm-core-asan, comgr-asan >= 1.2.0, libdrm-amdgpu-common")
 
 # Debian package specific variables
 if(DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE})
@@ -294,7 +304,7 @@
 message("Using CPACK_DEBIAN_PACKAGE_RELEASE ${CPACK_DEBIAN_PACKAGE_RELEASE}")
 set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, pci.ids")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, libdrm-amdgpu-common | libdrm-common")
 
 if(DEFINED ENV{CPACK_RPM_PACKAGE_RELEASE})
   set(CPACK_RPM_PACKAGE_RELEASE $ENV{CPACK_RPM_PACKAGE_RELEASE})
@@ -308,23 +318,3 @@
 execute_process(COMMAND rpm --eval %{?dist}
                  RESULT_VARIABLE PROC_RESULT
                  OUTPUT_VARIABLE EVAL_RESULT
-                 OUTPUT_STRIP_TRAILING_WHITESPACE)
-if(PROC_RESULT EQUAL "0" AND NOT EVAL_RESULT STREQUAL "")
-  string(APPEND CPACK_RPM_PACKAGE_RELEASE "%{?dist}")
-endif()
-set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
-
-set(CPACK_RPM_PACKAGE_REQUIRES "comgr >= 1.2.0, hwdata")
-
-# Debian package specific variables
-#set(CPACK_DEBIAN_PACKAGE_HOMEPAGE
-#  "https://github.com/RadeonOpenCompute/")
-
-# RPM package specific variables
-if(DEFINED CPACK_PACKAGING_INSTALL_PREFIX)
-  set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
-    "${CPACK_PACKAGING_INSTALL_PREFIX}")
-endif()
-
-# Remove dependency on rocm-core if -DROCM_DEP_ROCMCORE=ON not given to cmake
-if(NOT ROCM_DEP_ROCMCORE)

=== debian/changelog ===
rocdbgapi (6.4.3-1) unstable; urgency=medium

  [ Cordell Bloor ]
  * Upload to unstable
  * d/gbp.conf: change debian branch debian/unstable for consistency
    with other packages maintained by the Debian ROCm Team
  * Update my email address and copyright information
  * Update Standards-Version to 4.7.2
    * No changes required
  * Add prompt for rocminfo output to library bug reports

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Fri, 07 Nov 2025 19:37:58 -0700

rocdbgapi (6.4.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 6.4.2.
  * 1000-portable-int-sizes.patch: drop as included upstream.
  * Run wrap-and-sort.
  * debian/copyright: update.
  * debian/copyright: add myself.
  * debian/control: build-deps on libamd-comgr-dev (>= 6.1.2~).
  * debian/librocm-dbgapi0.symbols: refreshed.
  * debian/gbp.conf: added. Switch to DEP14 git branch layout.
  * debian/salsa-ci.yml: added. Variable set Experimental release.
  * New upstream version 6.4.3.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Aug 2025 13:25:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Homepage: https://github.com/ROCm/ROCdbgapi
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/rocdbgapi.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocdbgapi
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
-Uploaders: Cordell Bloor <cgmb@slerp.xyz>,
+Uploaders: Cordell Bloor <cgmb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libamd-comgr-dev (>= 5.7.1~),
+               libamd-comgr-dev (>= 6.1.2~),
                libhsa-runtime-dev,
                pci.ids
 Rules-Requires-Root: no
@@ -17,7 +17,7 @@
 Package: librocm-dbgapi0
 Section: libs
 Architecture: amd64 arm64 ppc64el
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: AMD GPU debugger support - library
  The ROCdbpgapi library provides debugging routines to inspect and
  control programs running on AMD GPUs. This library is used by
@@ -31,7 +31,9 @@
 Package: amd-dbgapi-dev
 Section: libdevel
 Architecture: amd64 arm64 ppc64el
-Depends: librocm-dbgapi0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
+Depends: librocm-dbgapi0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: AMD GPU debugger support - headers
  The ROCdbpgapi library provides debugging routines to inspect and
  control programs running on AMD GPUs. This library is used by

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export VERBOSE=1

%:
	dh $@ -Scmake

=== debian/watch ===
Version: 5

Source: https://github.com/rocm/rocdbgapi/tags
Matching-Pattern: (?:.*?/)?rocm-v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rocdbgapi-$1.tar.gz%

## rocdbgapi 7.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,13 @@
 
 cmake_minimum_required(VERSION 3.8)
 
-project(amd-dbgapi VERSION 0.77.2)
+project(amd-dbgapi VERSION 0.77.4)
 
 include(CheckIncludeFile)
 include(GNUInstallDirs)
 include(CheckCXXSourceCompiles)
+
+set(CPACK_PACKAGE_NAME rocm-dbgapi)
 
 # Convert the project's name to uppercase and replace '-' with '_'.
 string(TOUPPER "${PROJECT_NAME}" AMD_DBGAPI_NAME)
@@ -77,8 +79,28 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/amd-dbgapi.pc.in
   ${CMAKE_CURRENT_BINARY_DIR}/share/pkgconfig/amd-dbgapi.pc @ONLY)
 
-file(GLOB SOURCES "src/*.cpp")
-add_library(amd-dbgapi SHARED ${SOURCES})
+add_library(amd-dbgapi SHARED
+  src/agent.cpp
+  src/architecture.cpp
+  src/callbacks.cpp
+  src/code_object.cpp
+  src/debug.cpp
+  src/dispatch.cpp
+  src/displaced_stepping.cpp
+  src/event.cpp
+  src/exception.cpp
+  src/initialization.cpp
+  src/logging.cpp
+  src/memory.cpp
+  src/os_driver.cpp
+  src/process.cpp
+  src/queue.cpp
+  src/register.cpp
+  src/utils.cpp
+  src/versioning.cpp
+  src/watchpoint.cpp
+  src/wave.cpp
+  src/workgroup.cpp)
 
 set_target_properties(amd-dbgapi PROPERTIES
   CXX_STANDARD 17
@@ -114,6 +136,8 @@
 endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+  target_sources(amd-dbgapi PRIVATE src/os_driver_kfd.cpp)
+
   set(CMAKE_REQUIRED_FLAGS_BKP "${CMAKE_REQUIRED_FLAGS}")
   set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -std=c++17")
   # For some platforms (PPC64), linux/types.h uses L64, but this code assumes
@@ -140,6 +164,8 @@
     endif()
   endif()
   set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS_BKP}")
+else()
+  message(FATAL_ERROR "Platform ${CMAKE_SYSTEM_NAME} is not supported")
 endif()
 
 find_package(amd_comgr REQUIRED CONFIG
@@ -234,12 +260,12 @@
 
 install(FILES
   "LICENSE.txt"
-  DESTINATION ${CMAKE_INSTALL_DOCDIR}
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/${CPACK_PACKAGE_NAME}
   COMPONENT dev)
 
 install(FILES
   "LICENSE.txt"
-  DESTINATION ${CMAKE_INSTALL_DOCDIR}-asan
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/${CPACK_PACKAGE_NAME}-asan
   COMPONENT asan)
 
 # Generate the install-tree package.
@@ -266,7 +292,6 @@
   COMPONENT dev)
 
 # Add packaging directives for amd-dbgapi
-set(CPACK_PACKAGE_NAME rocm-dbgapi)
 set(CPACK_PACKAGE_VENDOR "Advanced Micro Devices, Inc.")
 set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
@@ -304,17 +329,3 @@
 message("Using CPACK_DEBIAN_PACKAGE_RELEASE ${CPACK_DEBIAN_PACKAGE_RELEASE}")
 set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
 
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "comgr(>=1.2.0), rocm-core, libdrm-amdgpu-common | libdrm-common")
-
-if(DEFINED ENV{CPACK_RPM_PACKAGE_RELEASE})
-  set(CPACK_RPM_PACKAGE_RELEASE $ENV{CPACK_RPM_PACKAGE_RELEASE})
-else()
-  set(CPACK_RPM_PACKAGE_RELEASE "local")
-endif()
-set(CPACK_RPM_PACKAGE_REQUIRES "rocm-core")
-message("Using CPACK_RPM_PACKAGE_RELEASE ${CPACK_RPM_PACKAGE_RELEASE}")
-
-## 'dist' breaks manual builds on debian systems due to empty Provides
-execute_process(COMMAND rpm --eval %{?dist}
-                 RESULT_VARIABLE PROC_RESULT
-                 OUTPUT_VARIABLE EVAL_RESULT

=== debian/changelog ===
rocdbgapi (7.1.0-0ubuntu2) resolute; urgency=medium

  * Revert to LLVM 21 toolchain (from ROCm LLVM fork)
    - d/control: revert build-depends to llvm-toolchain-21

 -- Igor Luppi <igor.luppi@canonical.com>  Fri, 30 Jan 2026 15:38:07 -0300

rocdbgapi (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0
  * d/control: update maintainer field
  * d/control: update build-depends for src:llvm-toolchain-rocm
  * d/control: Remove unused  from amd-dbgapi-dev
  * d/amd-dbgapi-dev.docs: Install main license file
  * d/not-installed: Ignore unneeded 'asan' license file
  * d/rules: set gensymbols -c4 to be more strict

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 05 Nov 2025 14:28:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/rocdbgapi.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocdbgapi
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Cordell Bloor <cgmb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libamd-comgr-dev (>= 6.1.2~),
-               libhsa-runtime-dev,
+               libamd-comgr-dev (>= 7.1.0~),
+               libhsa-runtime-dev (>= 7.1.0~),
                pci.ids
 Rules-Requires-Root: no
 
@@ -32,8 +33,7 @@
 Section: libdevel
 Architecture: amd64 arm64 ppc64el
 Depends: librocm-dbgapi0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: AMD GPU debugger support - headers
  The ROCdbpgapi library provides debugging routines to inspect and
  control programs running on AMD GPUs. This library is used by

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ -Scmake
+
+# To make sure gensymbols fails the build, -c4 to be more strict
+override_dh_makeshlibs:
+	dh_makeshlibs -V -plibrocm-dbgapi0 -- -c4
